'------------------------------------------------------
'  Name     : receive-test.bas                        
'  Compiler : PicBasic Pro - MicroEngineering Labs
'  Notes    : Program to test the wireless data link 
'           : between the Lynx 433LC series
'           : transmitter and receiver.
'------------------------------------------------------

' PortA set as outputs. pins 0 and 1 inputs
trisa = %00000011

' PortB set as outputs. pin 0 input.   
trisb = %00000001   

'------------------------------------------------------
' initialize variables

include "modedefs.bas"

rx_baud          CON N2400
rxmit            VAR PORTB.0
piezo            VAR PORTA.3
control          VAR BYTE

SOUND PIEZO,[115,10,50,10]

start:

serin rxmit,rx_baud,["Z"],control

if control = "A" then
   SOUND PIEZO,[115,10,80,20]
   pause 100
endif

goto start

end

