'-------------------------------------------------------
'  Name     : transmit-test.bas                        
'  Compiler : PicBasic Pro - MicroEngineering Labs
'  Notes    : Program to test wireless link using the 
'           : Linx 433LC series transmitter and receiver               
'-------------------------------------------------------

' set PortA  inputs
trisa = %00011111

' PortB set as outputs. pin 2 input   
trisb = %00000100   

'------------------------------------------------------
' initialize variables

include "modedefs.bas"

tx_baud        CON N2400

txmit          VAR PORTB.0
txmit_led      VAR PORTB.1
push_button    VAR PORTB.2

start:

low txmit_led 

If push_button = 1 then 
   serout txmit,tx_baud,["ZA"]
   high txmit_led
   pause 200
endif

goto start
